### Function

# EDataServer SourceRefreshFunc

since: 3.6

#### Declaration

    void
    (* ESourceRefreshFunc) (
      ESource* source,
      gpointer user_data
    )

#### Description

No description available.

Available since: 3.6

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data provided to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.